## NAME

gt-ltrharvest - Predict LTR retrotransposons.

## SYNOPSIS

gt ltrharvest [option …] -index <indexname>

## DESCRIPTION

-index [string]

  specify the name of the enhanced suffix array index (mandatory) (default: undefined)

-range [start end]

  specify range in the input sequence(s) in which LTR pairs are searched (default: [0..0])

-seed [value]

  specify minimum seed length for exact repeats (default: 30)

-minlenltr [value]

  specify minimum length for each LTR (default: 100)

-maxlenltr [value]

  specify maximum length for each LTR (default: 1000)

-mindistltr [value]

  specify minimum distance of LTR startpositions (default: 1000)

-maxdistltr [value]

  specify maximum distance of LTR startpositions (default: 15000)

-similar [value]

  specify similaritythreshold in range [1..100%] (default: 85.000000)

-mintsd [value]

  specify minimum length for each TSD (default: 4)

-maxtsd [value]

  specify maximum length for each TSD (default: 20)

-motif [string]

  specify 2 nucleotides startmotif + 2 nucleotides endmotif: ** (default: undefined)

-motifmis [value]

  specify maximum number of mismatches in motif [0,3] (default: 4)

-vic [value]

  specify the number of nucleotides (to the left and to the right) that will be searched for TSDs and/or motifs around 5' and 3' boundary of predicted LTR retrotransposons (default: 60)

-overlaps […]

  specify no|best|all (default: best)

-xdrop [value]

  specify xdropbelowscore for extension-alignment (default: 5)

-mat [value]

  specify matchscore for extension-alignment (default: 2)

-mis [value]

  specify mismatchscore for extension-alignment (default: -2)

-ins [value]

  specify insertionscore for extension-alignment (default: -3)

-del [value]

  specify deletionscore for extension-alignment (default: -3)

-v [yes|no]

  verbose mode (default: no)

-tabout [yes|no]

  show old tabular output instead of GFF3 on stdout (default: yes)

-seqids [yes|no]

  use sequence descriptions instead of sequence numbers in GFF3 output (default: no)

-md5 [yes|no]

  add MD5 hashes to seqids in GFF3 output (default: no)

-longoutput [yes|no]

  additional motif/TSD output (default: no)

-out [string]

  specify FASTA outputfilename (default: undefined)

-outinner [string]

  specify FASTA outputfilename for inner regions (default: undefined)

-gff3 [string]

  specify GFF3 outputfilename (default: undefined)

-offset [value]

  offset added to GFF3 coordinates (default: 0)

-scan [yes|no]

  scan the index sequentially instead of mapping it into memory entirely (default: yes)

-help

  display help for basic options and exit

-help+

  display help for all options and exit

-version

  display version information and exit

## ADDITIONAL INFORMATION

For detailed information, please refer to the manual of ltrharvest.

## REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.